POST api/StickerField/Upsert
Request Information
URI Parameters
None.
Body Parameters
StickerFieldViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| previewValue | Dictionary of string [key] and string [value] |
None. |
|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| isProductionSite | boolean |
None. |
|
| isStatic | boolean |
None. |
|
| separator | string |
Max length: 50 |
|
| stickerType_ID | globally unique identifier |
Required |
|
| technicalDescription | string |
Required Max length: 100 |
Request Formats
application/json, text/json
Sample:
{
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "9e60b1cd-a11b-41de-a8ff-46430f83ca70",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "5b912196-aa43-419e-877d-9117774a39e7",
"technicalDescription": "sample string 8"
}
application/xml, text/xml
Sample:
<stickerField xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<id>9e60b1cd-a11b-41de-a8ff-46430f83ca70</id>
<isProductionSite>true</isProductionSite>
<isStatic>true</isStatic>
<separator>sample string 6</separator>
<stickerType_ID>5b912196-aa43-419e-877d-9117774a39e7</stickerType_ID>
<technicalDescription>sample string 8</technicalDescription>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
<previewValue xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</previewValue>
</stickerField>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"81cd23a3-57fc-42a5-a9c3-20eb346e5367"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">81cd23a3-57fc-42a5-a9c3-20eb346e5367</guid>